Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCompositer Class Reference

`#include <vtkCompositer.h>`

Inheritance diagram for vtkCompositer:

[legend]
Collaboration diagram for vtkCompositer:

[legend]
List of all members.

## Detailed Description

Super class for composite algorthms.

Date:
  2002/08/12 15:20:30

Revision:
  1.4

vtkCompositer operates in multiple processes. Each compositer has a render window. They use vtkMultiProcessControllers to comunicate the color and depth buffer to process 0's render window. It will not handle transparency well. vtkCompositeManager.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Cedilnik, Andy (15%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkCompositer.cxx)`
  - .`h` (`/Parallel/vtkCompositer.h)`

Definition at line 50 of file vtkCompositer.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
virtual void | SetNumberOfProcesses (int)
virtual int | GetNumberOfProcesses ()
## Static Public Methods
vtkCompositer * | New ()
int | IsTypeOf (const char *type)
vtkCompositer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCompositer ()
| ~vtkCompositer ()
## Protected Attributes
vtkMultiProcessController * | Controller
int | NumberOfProcesses

## Member Typedef Documentation

typedef vtkObject vtkCompositer::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer. Definition at line 54 of file vtkCompositer.h.

## Constructor & Destructor Documentation

vtkCompositer::vtkCompositer | ( |  | ) | `[protected]`

vtkCompositer::~vtkCompositer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCompositer* vtkCompositer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

virtual const char* vtkCompositer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

int vtkCompositer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

virtual int vtkCompositer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

vtkCompositer* vtkCompositer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

void vtkCompositer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

virtual void vtkCompositer::CompositeBuffer | ( | vtkDataArray * | pBuf,
|  | vtkFloatArray * | zBuf,
|  | vtkDataArray * | pTmp,
|  | vtkFloatArray * | zTmp
| ) | `[virtual]`

| This method gets called on every process. The final image gets put into pBuf and zBuf. Reimplemented in vtkCompressCompositer, and vtkTreeCompositer.

virtual void vtkCompositer::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Access to the controller.

virtual vtkMultiProcessController* vtkCompositer::GetController | ( |  | ) | `[virtual]`

| Access to the controller.

virtual void vtkCompositer::SetNumberOfProcesses | ( | int |  | ) | `[virtual]`

| A hack to get a sub world until I can get communicators working.

virtual int vtkCompositer::GetNumberOfProcesses | ( |  | ) | `[virtual]`

| A hack to get a sub world until I can get communicators working.

## Member Data Documentation

vtkMultiProcessController* vtkCompositer::Controller`[protected]`

| Definition at line 80 of file vtkCompositer.h.

int vtkCompositer::NumberOfProcesses`[protected]`

| Definition at line 81 of file vtkCompositer.h.

The documentation for this class was generated from the following file:

- Parallel/vtkCompositer.h